import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class EnsuroContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    ensuroEtoken({ address, network }: ContractOpts): import("./ethers").EnsuroEtoken;
}
export type { EnsuroEtoken } from './ethers';
